Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.configuration
Interface ConfigurationMBean

All Known Subinterfaces:
  AdminServerMBean, ApplicationMBean, BridgeDestinationCommonMBean, BridgeDestinationMBean, weblogic.management.configuration.ClassDeploymentMBean, ClusterMBean, COMMBean, ComponentMBean, ConnectorComponentMBean, DeploymentMBean, DomainLogFilterMBean, DomainMBean, EJBComponentMBean, EJBContainerMBean, ExecuteQueueMBean, ForeignJMSConnectionFactoryMBean, ForeignJMSDestinationMBean, ForeignJMSServerMBean, weblogic.management.configuration.ForeignJNDIObjectMBean, IIOPMBean, JDBCConnectionPoolMBean, JDBCDataSourceFactoryMBean, JDBCDataSourceMBean, JDBCMultiPoolMBean, JDBCTxDataSourceMBean, JMSBridgeDestinationMBean, JMSConnectionConsumerMBean, JMSConnectionFactoryMBean, JMSDestCommonMBean, JMSDestinationKeyMBean, JMSDestinationMBean, JMSDistributedDestinationMBean, JMSDistributedDestinationMemberMBean, JMSDistributedQueueMBean, JMSDistributedQueueMemberMBean, JMSDistributedTopicMBean, JMSDistributedTopicMemberMBean, JMSFileStoreMBean, JMSJDBCStoreMBean, JMSQueueMBean, JMSServerMBean, JMSSessionPoolMBean, JMSStoreMBean, JMSTemplateMBean, JMSTopicMBean, JMSVirtualDestinationMBean, JTAMBean, KernelMBean, LogMBean, MachineMBean, MailSessionMBean, MessagingBridgeMBean, NetworkAccessPointMBean, NetworkChannelMBean, NodeManagerMBean, RMCFactoryMBean, SecurityConfigurationMBean, SecurityMBean, ServerMBean, ServerStartMBean, ShutdownClassMBean, SNMPAgentMBean, SNMPAttributeChangeMBean, SNMPCounterMonitorMBean, SNMPGaugeMonitorMBean, SNMPJMXMonitorMBean, SNMPLogFilterMBean, SNMPProxyMBean, SNMPStringMonitorMBean, SNMPTrapDestinationMBean, SNMPTrapSourceMBean, SSLMBean, StartupClassMBean, TargetMBean, VirtualDestinationMBean, VirtualHostMBean, WebAppComponentMBean, WebDeploymentMBean, WebServerMBean, WebServiceComponentMBean, WLECConnectionPoolMBean, WSReliableDeliveryPolicyMBean, WTCExportMBean, WTCImportMBean, WTCLocalTuxDomMBean, WTCPasswordMBean, WTCRemoteTuxDomMBean, WTCResourcesMBean, WTCServerMBean, WTCtBridgeGlobalMBean, WTCtBridgeRedirectMBean, XMLEntityCacheMBean, XMLEntitySpecRegistryEntryMBean, XMLParserSelectRegistryEntryMBean, XMLRegistryEntryMBean, XMLRegistryMBean

public interface ConfigurationMBean
extends WebLogicMBean

The tagging interface for configuration MBeans.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static long` | `CACHING_STUB_SVUID`
`static byte[]` | `DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`void` | `freezeCurrentValue(java.lang.String attributeName)` This method puts the current value of the provided attribute into a state where it can only be affected by direct changes.
`java.lang.String` | `getNotes()` Optional information that you can include to describe this configuration.
`void` | `restoreDefaultValue(java.lang.String attributeName)` This method causes the value of the provided attribute to return to the defaulted state.
`void` | `setComments(java.lang.String comments)` Sets the comments attribute of the ConfigurationMBean object
`void` | `setDefaultedMBean(boolean defaulted)` Sets the defaultedMBean attribute of the ConfigurationMBean object
`void` | `setNotes(java.lang.String notes)` Sets the notes attribute of the ConfigurationMBean object
`void` | `setPersistenceEnabled(boolean persist)` Sets the persistenceEnabled attribute of the ConfigurationMBean object

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### DEFAULT_EMPTY_BYTE_ARRAY

    public static final byte[] DEFAULT_EMPTY_BYTE_ARRAY

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

Method Detail

### getNotes

    public java.lang.String getNotes()

  Optional information that you can include to describe this configuration.

  A dynamic MBean attribute
  Returns:
    The notes value

### setNotes

    public void setNotes(java.lang.String notes)
                  throws javax.management.InvalidAttributeValueException,
                         DistributedManagementException

  Sets the notes attribute of the ConfigurationMBean object

  Parameters:
    `notes` - The new notes value
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -

### setPersistenceEnabled

    public void setPersistenceEnabled(boolean persist)

  Sets the persistenceEnabled attribute of the ConfigurationMBean object

  Parameters:
    `persist` - The new persistenceEnabled value

### setDefaultedMBean

    public void setDefaultedMBean(boolean defaulted)

  Sets the defaultedMBean attribute of the ConfigurationMBean object

  Parameters:
    `defaulted` - The new defaultedMBean value

### setComments

    public void setComments(java.lang.String comments)

  Sets the comments attribute of the ConfigurationMBean object

  Parameters:
    `comments` - The new comments value

### freezeCurrentValue

    public void freezeCurrentValue(java.lang.String attributeName)
                            throws javax.management.AttributeNotFoundException,
                                   javax.management.MBeanException

  This method puts the current value of the provided attribute into a state where it can only be affected by direct changes. Specifically, this method only affects attributes which are currently defaulted. Since defaulted values are typically not saved, defaulted values are subject to change across releases should the default value in the schema change. Calling this method isolates the MBean from the effects of such changes. Calling this method on a non-defaulted attribute is a has no effect.

  Parameters:
    `attributeName` -

### restoreDefaultValue

    public void restoreDefaultValue(java.lang.String attributeName)

  This method causes the value of the provided attribute to return to the defaulted state. In the defaulted state, the value of the attribute is always the same as the default value as specified in the schema for the MBean. In this state, should the default value in the schema change, the attribute value (implicitly) changes accordingly. Note: If the caller wants the current default value, but wants to protect against possible future changes in the schema, they should call method freezeCurrentValue. To insure that they are freezing the default value, the caller can optionally preceed the call to freezeCurrentValue by a call to restoreDefaultValue. If the provided attribute is already in the defaulted state, this method has no effect.

  Parameters:
    `attributeName` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD